fn get_longer_string<'a>(s1: &'a str, s2: &'a str) -> &'a str {
    if s1.len() >= s2.len() {
        s1
    } else {
        s2
    }
}

fn main() {
    let r;
    let s1 = "Hello".to_string();
    {
        let s2 = "Rust".to_string();
        r = get_longer_string(&s1, &s2);
    }
    println!("長いのは {r}");
}